<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>Day Off</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
  <h1>
    Day Off
    <small>List Data</small>
  </h1>
  <ol class="breadcrumb">
    <li class="treeview active"> Setting</li>
    <li class="active"> Day Off</li>
  </ol>
</section>

<section layout:fragment="main" class="content">
  <div class="row">

    <div class="col-md-3">
      <div class="box box-solid">
        <form class="form-horizontal" th:action="@{/setting/day/off/save}" th:object="${dayOff}" method="post">
          <div class="box-header with-border">
            <h4 class="box-title">Form Day Off</h4>
          </div>
          <div class="box-body">
            <div class="form-group">
              <label class="col-sm-2 control-label">Date :</label>
              <div class="col-sm-10">
                <div class="input-group date">
                  <div class="input-group-addon">
                    <i class="fa fa-calendar"></i>
                  </div>
                  <input type="text" class="form-control pull-right" id="dateDayOffString" th:field="*{dateDayOffString}" name="dateDayOffString" placeholder="MM/dd/yyyy">
                </div>
              </div>
            </div>

            <div class="form-group">
<!--              <label for="keterangan" class="col-sm-2 control-label">Descriptions</label>-->
              <div class="col-sm-12">
                <textarea class="form-control" th:field="*{keterangan}" name="keterangan" id="keterangan" rows="3" placeholder="Descriptions"></textarea>
              </div>
            </div>

            <div class="form-group">
              <label for="hitungMasuk"  class="col-sm-6 control-label">Work Day Active:</label>
              <div class="col-sm-6">
                <input name="hitungMasuk" id="hitungMasuk" type="checkbox" class="flat-red" th:field="*{hitungMasuk}" value="AKTIF" >
              </div>
            </div>

            <input type="hidden" name="id" th:field="*{id}">
          </div>
          <div class="box-footer">
            <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>
          </div>
        </form>
      </div>
    </div>

    <div class="col-md-9">

      <div class="callout callout-success" th:if="${success != null}">
        <h4>Save Data Success!</h4>

        <p>Data Berhasil Disimpan.</p>
      </div>

      <div class="callout callout-success" th:if="${deleted != null}">
        <h4>Delete Data Success!</h4>

        <p>Data Berhasil Dihapus.</p>
      </div>

      <div class="callout callout-danger" th:if="${gagal != null}">
        <h4>Save Data Unsuccesfully!</h4>

        <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>
      </div>

      <div class="box">
        <form method="get">
          <div class="box-header with-border">
            <div class="row">
              <div class="col-md-6">
                <h3 class="box-title">List of Day Off</h3>
              </div>
              <div class="col-md-6" align="right">
                Show entries <span sd:page-size-selector="javascript"></span>
              </div>
            </div>
          </div>

          <div class="box-header with-border">
            <div class="row">
              <div class="col-md-6">
                <div class="input-group input-group-sm" style="width: 150px;">

                </div>
              </div>



              <div class="col-md-6" align="right">
                <div class="input-group input-group-sm" style="width: 150px;">
                  <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">
                  <div class="input-group-btn">
                    <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                  </div>
                </div>
              </div>

            </div>
          </div>
        </form>
        <!-- /.box-header -->


        <div class="box-body table-responsive no-padding">
          <table class="table table-bordered">
            <tr>
              <th rowspan="2" style="width: 10px">#</th>
              <th rowspan="2">Date</th>
              <th rowspan="2">Description</th>
              <th rowspan="2">Working Day</th>
              <th colspan="2">Allowed</th>
<!--              <th colspan="2">DisAllowed</th>-->
              <th rowspan="2" style="width: 40px"></th>
              <th rowspan="2" style="width: 40px"></th>
            </tr>
            <tr>
              <th style="width: 100px">Shift</th>
              <th style="width: 100px">Employee</th>
<!--              <th style="width: 100px">Shift</th>-->
<!--              <th style="width: 100px">Employee</th>-->
            </tr>
            <tr th:each="dataDayOff,row : ${listDayOff}">
              <td th:text="${(row.index + 1) + (listDayOff.number * listDayOff.size)}">1.</td>

              <td th:text="${#temporals.format(dataDayOff.dateDayOff,'dd-MMM-yyyy')}">BEASISWA</td>
              <td th:text="${dataDayOff.keterangan}">BEASISWA</td>
              <td th:text="${dataDayOff.hitungMasuk}">BEASISWA</td>
              <td>
                <a class="btn btn-success btn-xs btn-block" th:href="@{/setting/day/off/shift_allowed(dayOff = ${dataDayOff.id})}" title="Edit">List</a></td>
              </td>
              <td>
                <a class="btn btn-success btn-xs btn-block" th:href="@{/setting/day/off/employee_allowed(dayOff = ${dataDayOff.id})}" title="Edit">List</a></td>
              </td>
<!--              <td>-->
<!--                <a class="btn btn-warning btn-xs btn-block" th:href="@{/setting/day/off/shift_disallowed(dayOff = ${dataDayOff.id})}" title="Edit">List</a></td>-->
<!--              </td>-->
<!--              <td>-->
<!--                <a class="btn btn-warning btn-xs btn-block" th:href="@{/setting/day/off/shift_disallowed(dayOff = ${dataDayOff.id})}" title="Edit">List</a></td>-->
<!--              </td>-->
              <td>
                <a class="btn btn-primary btn-xs btn-block" th:href="@{/setting/day/off/edit(dayOff = ${dataDayOff.id})}" title="Edit">Edit</a></td>
              <td>

                <form method="post" th:action="@{/setting/day/off/delete(dayOff=${dataDayOff.id})}">
                  <button type="submit" class="btn btn-danger btn-xs btn-block"
                          onclick="return confirm('Are you sure want to delete this?')">
                    Delete
                  </button>
                </form>
              </td>
            </tr>
          </table>
        </div>
        <!-- /.box-body -->
        <div class="box-footer clearfix">
          <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
            <li class="disabled"><a href="#" aria-label="Previous"><span
                    aria-hidden="true">&laquo;</span></a>
            </li>
            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
            </li>
          </ul>
        </div>
      </div>
      <!-- /.box -->
    </div>
  </div>
</section>

<section layout:fragment="footer" class="script">
  <script>
    $(function () {
      //Initialize Select2 Elements
      $('.select2').select2()

      //Datemask dd/mm/yyyy
      $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
      //Datemask2 mm/dd/yyyy
      $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
      //Money Euro
      $('[data-mask]').inputmask()

      //Date range picker
      $('#reservation').daterangepicker()
      //Date range picker with time picker
      $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
      //Date range as a button
      $('#daterange-btn').daterangepicker(
              {
                ranges   : {
                  'Today'       : [moment(), moment()],
                  'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                  'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                  'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                  'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                  'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                },
                startDate: moment().subtract(29, 'days'),
                endDate  : moment()
              },
              function (start, end) {
                $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
              }
      )

      //Date picker
      $('#dateDayOffString').datepicker({
        autoclose: true
      })

      $('#endDateString').datepicker({
        autoclose: true
      })

      //iCheck for checkbox and radio inputs
      $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
        checkboxClass: 'icheckbox_minimal-blue',
        radioClass   : 'iradio_minimal-blue'
      })
      //Red color scheme for iCheck
      $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
        checkboxClass: 'icheckbox_minimal-red',
        radioClass   : 'iradio_minimal-red'
      })
      //Flat red color scheme for iCheck
      $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
        checkboxClass: 'icheckbox_flat-green',
        radioClass   : 'iradio_flat-green'
      })

      //Colorpicker
      $('.my-colorpicker1').colorpicker()
      //color picker with addon
      $('.my-colorpicker2').colorpicker()

      //Timepicker
      $('.timepicker').timepicker({
        showInputs: false
      })
    })
  </script>
  <script>
    $(".js-example-placeholder-single").select2({
      placeholder: "Pilih Salah Satu",
      allowClear: true
    });

    $('.simpan').click(function () {
      Swal.fire({
        position: 'top-end',
        type: 'success',
        title: 'Your work has been saved',
        showConfirmButton: false
      })
    });
  </script>
</section>
</body>
</html>